How to update from 1.3.15 to latest

General support for problems installing or using Deluge
Post Reply
Keika
New User
New User
Posts: 1
Joined: Mon Feb 06, 2023 10:45 am

How to update from 1.3.15 to latest

Post by Keika »

Hi,

sorry if that's been answered somewhere else, but I couldn't find the answer on the forum or website.
I have Deluge Thin Client installed on a Raspberry Pi (Debian bullseye) for a few years, and it works just fine. I have version 1.3.15 but I want to update because I like new shiny things.
Somehow when doing apt-get, I get an error that the mirror does not have a Release file. Here's the mirror used:
What is the proper mirror to use in order to update to the latest package?

Thanks
mhertz
Moderator
Moderator
Posts: 2228
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: How to update from 1.3.15 to latest

Post by mhertz »

That's an ubuntu PPA mirror. Latest deluge isn't even on debain sid I see, but anyway, i'd check if available on pypi('pip3 install deluge', with 'sudo' optionally) i.e. they have arm versions for some packages/deps, but I don't know specifically about your setup, sorry.

I quickly googled it, and seems there are some issues, but one noted that main issue fixed now if using 64 bit OS though. Here are instructions(later in thread), but mind you it's somewhat elaborate:

https://forums.raspberrypi.com/viewtopic.php?t=323464
lopytas
New User
New User
Posts: 1
Joined: Thu Feb 09, 2023 6:55 am

Re: How to update from 1.3.15 to latest

Post by lopytas »

I see people saying that updating will lose my existing data.
basketball stars
Last edited by lopytas on Sat Feb 11, 2023 1:34 am, edited 1 time in total.
mhertz
Moderator
Moderator
Posts: 2228
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: How to update from 1.3.15 to latest

Post by mhertz »

I don't believe that's a normal case, but always keep backups in general, here your deluge profile e.g '/var /lib/deluge/.config/deluge', or wherever is on your end.
Post Reply